Index: trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1056)
@@ -1261,4 +1272,200 @@
 c
 
+c====================================================================
+c   Calcul  des gravity waves  FLOTT
+c====================================================================
+c
+      if (ok_orodr.or.ok_gw_nonoro) then
+c  CALCUL DE N2
+       do i=1,klon
+        do k=2,klev
+	  ztlev(i,k)  = (t_seri(i,k)+t_seri(i,k-1))/2.
+	  zpklev(i,k) = sqrt(ppk(i,k)*ppk(i,k-1))
+	enddo
+       enddo
+       call t2tpot(klon*klev,ztlev, ztetalev,zpklev)
+       call t2tpot(klon*klev,t_seri,ztetalay,ppk)
+       do i=1,klon
+        do k=2,klev
+	  zdtetalev(i,k) = ztetalay(i,k)-ztetalay(i,k-1)
+	  zdzlev(i,k)    = (zphi(i,k)-zphi(i,k-1))/RG
+          zn2(i,k) = RG*zdtetalev(i,k)/(ztetalev(i,k)*zdzlev(i,k))
+          zn2(i,k) = max(zn2(i,k),1.e-12)  ! securite
+	enddo
+        zn2(i,1) = 1.e-12  ! securite
+       enddo
+
+      endif
+      
+c ----------------------------ORODRAG
+      IF (ok_orodr) THEN
+c
+c  selection des points pour lesquels le shema est actif:
+        igwd=0
+        DO i=1,klon
+        itest(i)=0
+c        IF ((zstd(i).gt.10.0)) THEN
+        IF (((zpic(i)-zmea(i)).GT.100.).AND.(zstd(i).GT.10.0)) THEN
+          itest(i)=1
+          igwd=igwd+1
+          idx(igwd)=i
+        ENDIF
+        ENDDO
+c        igwdim=MAX(1,igwd)
+c
+c A ADAPTER POUR VENUS!!!
+        CALL drag_noro(klon,klev,dtime,paprs,pplay,zphi,zn2,
+     e                   zmea,zstd, zsig, zgam, zthe,zpic,zval,
+     e                   igwd,idx,itest,
+     e                   t_seri, u_seri, v_seri,
+     s                   zulow, zvlow, zustrdr, zvstrdr,
+     s                   d_t_oro, d_u_oro, d_v_oro)
+
+c       print*,"d_u_oro=",d_u_oro(klon/2,:)
+c  ajout des tendances
+           t_seri(:,:) = t_seri(:,:) + d_t_oro(:,:)
+           d_t_oro(:,:)= d_t_oro(:,:)/dtime          ! K/s
+           u_seri(:,:) = u_seri(:,:) + d_u_oro(:,:)
+           d_u_oro(:,:)= d_u_oro(:,:)/dtime          ! (m/s)/s
+           v_seri(:,:) = v_seri(:,:) + d_v_oro(:,:)
+           d_v_oro(:,:)= d_v_oro(:,:)/dtime          ! (m/s)/s
+c    
+      ELSE
+         d_t_oro = 0.
+         d_u_oro = 0.
+         d_v_oro = 0.
+	 zustrdr = 0.
+	 zvstrdr = 0.
+c
+      ENDIF ! fin de test sur ok_orodr
+c
+c ----------------------------OROLIFT
+      IF (ok_orolf) THEN
+       print*,"ok_orolf NOT IMPLEMENTED !"
+       stop
+c
+c  selection des points pour lesquels le shema est actif:
+        igwd=0
+        DO i=1,klon
+        itest(i)=0
+        IF ((zpic(i)-zmea(i)).GT.100.) THEN
+          itest(i)=1
+          igwd=igwd+1
+          idx(igwd)=i
+        ENDIF
+        ENDDO
+c        igwdim=MAX(1,igwd)
+c
+c A ADAPTER POUR VENUS ET TITAN!!!
+c            CALL lift_noro(klon,klev,dtime,paprs,pplay,
+c     e                   rlatd,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+c     e                   igwd,idx,itest,
+c     e                   t_seri, u_seri, v_seri,
+c     s                   zulow, zvlow, zustrli, zvstrli,
+c     s                   d_t_lif, d_u_lif, d_v_lif               )
+
+c
+c  ajout des tendances
+           t_seri(:,:) = t_seri(:,:) + d_t_lif(:,:)
+           d_t_lif(:,:)= d_t_lif(:,:)/dtime          ! K/s
+           u_seri(:,:) = u_seri(:,:) + d_u_lif(:,:)
+           d_u_lif(:,:)= d_u_lif(:,:)/dtime          ! (m/s)/s
+           v_seri(:,:) = v_seri(:,:) + d_v_lif(:,:)
+           d_v_lif(:,:)= d_v_lif(:,:)/dtime          ! (m/s)/s
+c
+      ELSE
+         d_t_lif = 0.
+         d_u_lif = 0.
+         d_v_lif = 0.
+         zustrli = 0.
+         zvstrli = 0.
+c
+      ENDIF ! fin de test sur ok_orolf
+
+c ---------------------------- NON-ORO GRAVITY WAVES
+       IF(ok_gw_nonoro) then
+
+        abort_message="Option non developpee pour Titan"
+        call abort_gcm(modname,abort_message,1)
+c A FAIRE POUR TITAN
+c      call flott_gwd_ran(klon,klev,dtime,pplay,zn2,
+c     e               t_seri, u_seri, v_seri,
+c     o               zustrhi,zvstrhi,
+c     o               d_t_hin, d_u_hin, d_v_hin)
+
+c  ajout des tendances
+
+c         t_seri(:,:) = t_seri(:,:) + d_t_hin(:,:)
+c         d_t_hin(:,:)= d_t_hin(:,:)/dtime          ! K/s
+c         u_seri(:,:) = u_seri(:,:) + d_u_hin(:,:)
+c         d_u_hin(:,:)= d_u_hin(:,:)/dtime          ! (m/s)/s
+c         v_seri(:,:) = v_seri(:,:) + d_v_hin(:,:)
+c         d_v_hin(:,:)= d_v_hin(:,:)/dtime          ! (m/s)/s
+
+      ELSE
+         d_t_hin = 0.
+         d_u_hin = 0.
+         d_v_hin = 0.
+         zustrhi = 0.
+         zvstrhi = 0.
+
+      ENDIF ! fin de test sur ok_gw_nonoro
+
+c====================================================================
+c Transport de ballons 
+c====================================================================
+      if (ballons.eq.1) then
+         CALL ballon(30,pdtphys,rjourvrai,gmtime,rlatd,rlond,
+c    C               t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
+     C               t,pplay,u,v,zphi)   ! alt above planet average radius
+      endif !ballons
+
+c====================================================================
+c Bilan de mmt angulaire
+c====================================================================
+      if (bilansmc.eq.1) then
+CMODDEB FLOTT
+C  CALCULER LE BILAN DE MOMENT ANGULAIRE (DIAGNOSTIQUE)
+C STRESS NECESSAIRES: COUCHE LIMITE ET TOUTE LA PHYSIQUE
+
+      DO i = 1, klon
+        zustrph(i)=0.
+        zvstrph(i)=0.
+        zustrcl(i)=0.
+        zvstrcl(i)=0.
+      ENDDO
+      DO k = 1, klev
+      DO i = 1, klon
+       zustrph(i)=zustrph(i)+(u_seri(i,k)-u(i,k))/dtime*
+     c            (paprs(i,k)-paprs(i,k+1))/rg
+       zvstrph(i)=zvstrph(i)+(v_seri(i,k)-v(i,k))/dtime*
+     c            (paprs(i,k)-paprs(i,k+1))/rg
+       zustrcl(i)=zustrcl(i)+d_u_vdf(i,k)*
+     c            (paprs(i,k)-paprs(i,k+1))/rg
+       zvstrcl(i)=zvstrcl(i)+d_v_vdf(i,k)*
+     c            (paprs(i,k)-paprs(i,k+1))/rg
+      ENDDO
+      ENDDO
+
+      CALL aaam_bud (27,klon,klev,rjourvrai,gmtime,
+     C               ra,rg,romega,
+     C               rlatd,rlond,pphis,
+     C               zustrdr,zustrli,zustrcl,
+     C               zvstrdr,zvstrli,zvstrcl,
+     C               paprs,u,v)
+                     
+CCMODFIN FLOTT
+      endif !bilansmc
+
+c====================================================================
+c====================================================================
+c Calculer le transport de l'eau et de l'energie (diagnostique)
+c
+c  A REVOIR POUR VENUS ET TITAN...
+c
+c     CALL transp (paprs,ftsol,
+c    e                   t_seri, q_seri, u_seri, v_seri, zphi,
+c    s                   ve, vq, ue, uq)
+c
 c====================================================================
 c+jld ec_conser
@@ -1281,5 +1488,4 @@
 c-jld ec_conser
 c====================================================================
-
       IF (if_ebil.ge.1) THEN 
         ztit='after physic'
@@ -1301,183 +1507,4 @@
       END IF 
 C
-c====================================================================
-c   Calcul  des gravity waves  FLOTT
-c====================================================================
-c
-c      if (ok_orodr.or.ok_gw_nonoro) then
-cc  CALCUL DE N2
-c       do i=1,klon
-c        do k=2,klev
-c	  ztlev(i,k)  = (t_seri(i,k)+t_seri(i,k-1))/2.
-c	  zpklev(i,k) = sqrt(ppk(i,k)*ppk(i,k-1))
-c	enddo
-c       enddo
-c       call t2tpot(klon*klev,ztlev, ztetalev,zpklev)
-c       call t2tpot(klon*klev,t_seri,ztetalay,ppk)
-c       do i=1,klon
-c        do k=2,klev
-c	  zdtetalev(i,k) = ztetalay(i,k)-ztetalay(i,k-1)
-c	  zdzlev(i,k)    = (zphi(i,k)-zphi(i,k-1))/RG
-c          zn2(i,k) = RG*zdtetalev(i,k)/(ztetalev(i,k)*zdzlev(i,k))
-c          zn2(i,k) = max(zn2(i,k),1.e-12)  ! securite
-c	enddo
-c       enddo
-c
-c      endif
-c      
-cc ----------------------------ORODRAG
-c      IF (ok_orodr) THEN
-cc
-cc  selection des points pour lesquels le shema est actif:
-c        igwd=0
-c        DO i=1,klon
-c        itest(i)=0
-cc        IF ((zstd(i).gt.10.0)) THEN
-c        IF (((zpic(i)-zmea(i)).GT.100.).AND.(zstd(i).GT.10.0)) THEN
-c          itest(i)=1
-c          igwd=igwd+1
-c          idx(igwd)=i
-c        ENDIF
-c        ENDDO
-cc        igwdim=MAX(1,igwd)
-cc
-cc A ADAPTER POUR TITAN !!!
-c        CALL drag_noro(klon,klev,dtime,paprs,pplay,zphi,zn2,
-c     e                   zmea,zstd, zsig, zgam, zthe,zpic,zval,
-c     e                   igwd,idx,itest,
-c     e                   t_seri, u_seri, v_seri,
-c     s                   zulow, zvlow, zustrdr, zvstrdr,
-c     s                   d_t_oro, d_u_oro, d_v_oro)
-c
-cc  ajout des tendances
-c           t_seri(:,:) = t_seri(:,:) + d_t_oro(:,:)
-c           d_t_oro(:,:)= d_t_oro(:,:)/dtime          ! K/s
-c           u_seri(:,:) = u_seri(:,:) + d_u_oro(:,:)
-c           d_u_oro(:,:)= d_u_oro(:,:)/dtime          ! (m/s)/s
-c           v_seri(:,:) = v_seri(:,:) + d_v_oro(:,:)
-c           d_v_oro(:,:)= d_v_oro(:,:)/dtime          ! (m/s)/s
-cc    
-c      ELSE
-c         d_t_oro = 0.
-c         d_u_oro = 0.
-c         d_v_oro = 0.
-c	 zustrdr = 0.
-c	 zvstrdr = 0.
-cc
-c      ENDIF ! fin de test sur ok_orodr
-cc
-cc ----------------------------OROLIFT
-c      IF (ok_orolf) THEN
-cc
-cc  selection des points pour lesquels le shema est actif:
-c        igwd=0
-c        DO i=1,klon
-c        itest(i)=0
-c        IF ((zpic(i)-zmea(i)).GT.100.) THEN
-c          itest(i)=1
-c          igwd=igwd+1
-c          idx(igwd)=i
-c        ENDIF
-c        ENDDO
-cc        igwdim=MAX(1,igwd)
-cc
-cc A ADAPTER POUR VENUS!!!
-cc            CALL lift_noro(klon,klev,dtime,paprs,pplay,
-cc     e                   rlatd,zmea,zstd,zpic,zgam,zthe,zpic,zval,
-cc     e                   igwd,idx,itest,
-cc     e                   t_seri, u_seri, v_seri,
-cc     s                   zulow, zvlow, zustrli, zvstrli,
-cc     s                   d_t_lif, d_u_lif, d_v_lif               )
-c
-cc
-cc  ajout des tendances
-c           t_seri(:,:) = t_seri(:,:) + d_t_lif(:,:)
-c           d_t_lif(:,:)= d_t_lif(:,:)/dtime          ! K/s
-c           u_seri(:,:) = u_seri(:,:) + d_u_lif(:,:)
-c           d_u_lif(:,:)= d_u_lif(:,:)/dtime          ! (m/s)/s
-c           v_seri(:,:) = v_seri(:,:) + d_v_lif(:,:)
-c           d_v_lif(:,:)= d_v_lif(:,:)/dtime          ! (m/s)/s
-cc
-c      ELSE
-c         d_t_lif = 0.
-c         d_u_lif = 0.
-c         d_v_lif = 0.
-c         zustrli = 0.
-c         zvstrli = 0.
-cc
-c      ENDIF ! fin de test sur ok_orolf
-c
-cc ---------------------------- NON-ORO GRAVITY WAVES
-c       IF(ok_gw_nonoro) then
-c
-c      call flott_gwd_ran(klon,klev,dtime,pplay,zn2,
-c     e               t_seri, u_seri, v_seri,
-c     o               zustrhi,zvstrhi,
-c     o               d_t_hin, d_u_hin, d_v_hin)
-c
-cc  ajout des tendances
-c
-c         t_seri(:,:) = t_seri(:,:) + d_t_hin(:,:)
-c         d_t_hin(:,:)= d_t_hin(:,:)/dtime          ! K/s
-c         u_seri(:,:) = u_seri(:,:) + d_u_hin(:,:)
-c         d_u_hin(:,:)= d_u_hin(:,:)/dtime          ! (m/s)/s
-c         v_seri(:,:) = v_seri(:,:) + d_v_hin(:,:)
-c         d_v_hin(:,:)= d_v_hin(:,:)/dtime          ! (m/s)/s
-c
-c      ELSE
-c         d_t_hin = 0.
-c         d_u_hin = 0.
-c         d_v_hin = 0.
-c         zustrhi = 0.
-c         zvstrhi = 0.
-c
-c      ENDIF ! fin de test sur ok_gw_nonoro
-c
-c====================================================================
-c Transport de ballons 
-c====================================================================
-      if (ballons.eq.1) then
-         CALL ballon(30,pdtphys,rjourvrai,gmtime*RDAY,rlatd,rlond,
-c    C               t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
-     C               t,pplay,u,v,zphi)   ! alt above planet average radius
-      endif !ballons
-
-c====================================================================
-c Bilan de mmt angulaire
-c====================================================================
-      if (bilansmc.eq.1) then
-CMODDEB FLOTT
-C  CALCULER LE BILAN DE MOMENT ANGULAIRE (DIAGNOSTIQUE)
-C STRESS NECESSAIRES: COUCHE LIMITE ET TOUTE LA PHYSIQUE
-
-      DO i = 1, klon
-        zustrph(i)=0.
-        zvstrph(i)=0.
-        zustrcl(i)=0.
-        zvstrcl(i)=0.
-      ENDDO
-      DO k = 1, klev
-      DO i = 1, klon
-       zustrph(i)=zustrph(i)+(u_seri(i,k)-u(i,k))/dtime*
-     c            (paprs(i,k)-paprs(i,k+1))/rg
-       zvstrph(i)=zvstrph(i)+(v_seri(i,k)-v(i,k))/dtime*
-     c            (paprs(i,k)-paprs(i,k+1))/rg
-       zustrcl(i)=zustrcl(i)+d_u_vdf(i,k)*
-     c            (paprs(i,k)-paprs(i,k+1))/rg
-       zvstrcl(i)=zvstrcl(i)+d_v_vdf(i,k)*
-     c            (paprs(i,k)-paprs(i,k+1))/rg
-      ENDDO
-      ENDDO
-
-      CALL aaam_bud (27,klon,klev,rjourvrai,gmtime*RDAY,
-     C               ra,rg,romega,
-     C               rlatd,rlond,pphis,
-     C               zustrdr,zustrli,zustrcl,
-     C               zvstrdr,zvstrli,zvstrcl,
-     C               paprs,u,v)
-                     
-CCMODFIN FLOTT
-      endif !bilansmc
-
 c=======================================================================
 c   SORTIES
@@ -1493,6 +1520,4 @@
       ENDDO
       ENDDO
-c     print*,"vnatphy=",v(705,:)
-c     print*,"unatphy=",u(705,:)
 c
       DO iq = 1, nqmax
@@ -1507,5 +1532,5 @@
 c Calcul moment cinetique
 c------------------------
-c TEST 
+c TEST...
 c     mangtot = 0.0
 c     DO k = 1, klev
@@ -1513,5 +1538,5 @@
 c       mang(i,k) = RA*cos(rlatd(i)*RPI/180.)
 c    .     *(u_seri(i,k)+RA*cos(rlatd(i)*RPI/180.)*ROMEGA)
-c    .     *airephy(i)*delp(i,k)/RG
+c    .     *airephy(i)*(paprs(i,k)-paprs(i,k+1))/RG
 c       mangtot=mangtot+mang(i,k)
 c     ENDDO
@@ -1536,16 +1561,16 @@
 #ifdef CPP_IOIPSL
 
+#ifdef histday
+#include "write_histday.h"
+#endif
+
 #ifdef histmth
 #include "write_histmth.h"
 #endif
 
-#ifdef histday
-#include "write_histday.h"
-#endif
-
 #ifdef histins
 #include "write_histins.h"
 #endif
-              
+
 #endif
 
@@ -1557,13 +1582,6 @@
          itau_phy = itau_phy + itap
          lsinit   = zlsdeg
-c REMETTRE TOUS LES PARAMETRES POUR OROGW... A FAIRE POUR TITAN
-         CALL phyredem ("restartphy.nc",
-     .      rlatd, rlond, ftsol, ftsoil,
-     .      falbe,
-     .      solsw, sollw,dlw,
-     .      radsol,reservoir,
-c     .      zmea,zstd,zsig,zgam,zthe,zpic,zval,
-     .      t_ancien)
-      
+         CALL phyredem ("restartphy.nc")
+     
 c--------------FLOTT
 CMODEB LOTT
@@ -1591,5 +1609,4 @@
       ENDIF
       
-
       RETURN
       END
